<div style="margin-top: 3rem;">
    <div ng-controller="NewEventController as vm">
        <div class="col-lg-6 col-lg-offset-3">
            <form name="formNewEvent" class="form-horizontal form-validation" data-ng-submit="vm.submitForm()">
                <div class="form-group">
                    <div class="col-sm-3">
                        <label> Tipo </label>
                    </div>
                    <div class="col-sm-9">
                        <md-autocomplete
                                required
                                ng-disabled="vm.isDisabled"
                                md-no-cache="vm.noCache"
                                md-selected-item="vm.selectedItem"
                                md-search-text-change="vm.searchTextChange(vm.searchText)"
                                md-search-text="vm.searchText"
                                md-selected-item-change="vm.selectedItemChange(item)"
                                md-items="item in vm.querySearch(vm.searchText)"
                                md-item-text="item"
                                md-min-length="0"
                                placeholder="Escolha um tipo ou digite um novo...">
                            <md-item-template>
                                <span md-highlight-text="vm.searchText"
                                      md-highlight-flags="^i"> {{item}} </span>
                            </md-item-template>
                        </md-autocomplete>
                    </div>
                </div>
                <!-- Noiva e Noivo -->
                    <!-- Noiva -->
                <div class="form-group" ng-show="vm.showBride">
                    <div class="col-sm-3">
                        <label> Noiva </label>
                    </div>
                </div>
                <div class="col-lg-offset-1" ng-show="vm.showBride">
                    <div class="form-group">
                        <div class="col-sm-3">
                            <label class="light"> Primeiro Nome </label>
                        </div>
                        <div class="col-sm-9">
                            <input  type="text"
                                    class="form-control"
                                    ng-model="vm.newEvent.bride">
                        </div>
                    </div>
                </div>
                <div class="col-lg-offset-1" ng-show="vm.showBride">
                    <div class="form-group">
                        <div class="col-sm-3">
                            <label class="light"> Sobrenome </label>
                        </div>
                        <div class="col-sm-9">
                            <input  type="text"
                                    class="form-control"
                                    ng-model="vm.newEvent.brideLastName">
                        </div>
                    </div>
                </div>
                    <!-- Noivo -->
                <div class="form-group" ng-show="vm.showBride">
                    <div class="col-sm-3">
                        <label> Noivo </label>
                    </div>
                </div>
                <div class="col-lg-offset-1" ng-show="vm.showGroom">
                    <div class="form-group">
                        <div class="col-sm-3">
                            <label class="light"> Primeiro Nome </label>
                        </div>
                        <div class="col-sm-9">
                            <input  type="text"
                                    class="form-control"
                                    ng-model="vm.newEvent.groom">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-3">
                            <label class="light"> Sobrenome </label>
                        </div>
                        <div class="col-sm-9">
                            <input  type="text"
                                    class="form-control"
                                    ng-model="vm.newEvent.groomLastName">
                        </div>
                    </div>
                </div>
                <!-- Aniversarinte -->
                <div class="form-group" ng-show="vm.showBirthPerson">
                    <div class="col-sm-3">
                        <label> Aniversariante </label>
                    </div>
                </div>
                <div class="col-lg-offset-1" ng-show="vm.showBirthPerson">
                    <div class="form-group">
                        <div class="col-sm-3">
                            <label class="light"> Nome </label>
                        </div>
                        <div class="col-sm-9">
                            <input  type="text"
                                    class="form-control"
                                    ng-model="vm.newEvent.birthPerson">
                        </div>
                    </div>
                </div>
                <div class="col-lg-offset-1" ng-show="vm.showBirthPerson">
                    <div class="form-group">
                        <div class="col-sm-3">
                            <label class="light"> Sobrenome </label>
                        </div>
                        <div class="col-sm-9">
                            <input  type="text"
                                    class="form-control"
                                    ng-model="vm.newEvent.birthPersonLastName">
                        </div>
                    </div>
                </div>

                <!-- Cliente -->
                <div class="form-group" ng-show="vm.showClient">
                    <div class="col-sm-3">
                        <label> Cliente </label>
                    </div>
                </div>
                <div class="col-lg-offset-1" ng-show="vm.showClient">
                    <div class="form-group">
                        <div class="col-sm-3">
                            <label class="light"> Nome </label>
                        </div>
                        <div class="col-sm-9">
                            <input  type="text"
                                    class="form-control"
                                    ng-model="vm.newEvent.customer">
                        </div>
                    </div>
                </div>
                <div class="col-lg-offset-1" ng-show="vm.showClient">
                    <div class="form-group">
                        <div class="col-sm-3">
                            <label class="light"> Sobrenome </label>
                        </div>
                        <div class="col-sm-9">
                            <input  type="text"
                                    class="form-control"
                                    ng-model="vm.newEvent.customerLastName">
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-3">
                        <label> Data </label>
                    </div>
                    <div class="col-sm-9">
                        <input type="text"
                               id="eventDate"
                               required
                               ng-model="vm.newEvent.date"
                               class="form-control"
                               ui-date-mask
                               placeholder="DD/MM/AAAA">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-3">
                        <label for=""> Hora </label>
                    </div>
                    <div class="col-sm-9">
                        <input ng-model="vm.editingTime"
                               placeholder="HH:mm"
                               ui-time-mask="short"
                               class="form-control"
                               type="text">
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-3">
                        <label> Qtde. aproximada de Convidados </label>
                    </div>
                    <div class="col-sm-9">
                        <input type="number"
                               ng-model="vm.newEvent.qtdGuests"
                               id=""
                               placeholder="0"
                               class="form-control">
                    </div>
                </div>
                <button type="submit"
                        ui-wave
                        class="btn btn-primary btn-block"
                        data-ng-disabled="!vm.canSubmit()"> <span data-translate="SAVE"></span>
                </button>
                <div class="divider"></div>
                <button type="reset"
                        ui-wave
                        class="btn btn-danger pull-right"
                        ng-click="vm.cancel()">
                    <span data-translate="CANCEL"></span>
                </button>
            </form>
        </div>
    </div>
</div>